net.corda.flows

## Class ContractUpgradeFlow.Instigator<OldState extends ContractState,NewState extends ContractState>

- FlowLogic
- - Instigator
  - - net.corda.flows.ContractUpgradeFlow.Instigator<OldState,NewState>

- Enclosing class:
    ContractUpgradeFlow

      public static class ContractUpgradeFlow.Instigator<OldState extends ContractState,NewState extends ContractState>
      extends Instigator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.flows.AbstractStateReplacementFlow.Instigator

      `Instigator.Companion`

  - ### Field Summary

    - ### Fields inherited from class net.corda.flows.AbstractStateReplacementFlow.Instigator

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Instigator(StateAndRef<? extends OldState> originalState, java.lang.Class<? extends net.corda.core.contracts.UpgradedContract<? super OldState,? extends NewState>> newContractClass)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `kotlin.Pair<net.corda.core.transactions.SignedTransaction,java.lang.Iterable>` | `assembleTx()`

    - ### Methods inherited from class net.corda.flows.AbstractStateReplacementFlow.Instigator

      `assembleTx, call, getModification, getOriginalState, getProgressTracker`

    - ### Methods inherited from class net.corda.core.flows.FlowLogic

      `call, getCounterpartyMarker, getLogger, getProgressTracker, getRunId, getServiceHub, getStateMachine, receive, send, sendAndReceive, setStateMachine, subFlow, subFlow, track, waitForLedgerCommit`

- - ### Constructor Detail

    - #### Instigator

          public Instigator(StateAndRef<? extends OldState> originalState,
                            java.lang.Class<? extends net.corda.core.contracts.UpgradedContract<? super OldState,? extends NewState>> newContractClass)

  - ### Method Detail

    - #### assembleTx

          public kotlin.Pair<net.corda.core.transactions.SignedTransaction,java.lang.Iterable> assembleTx()